<?php
/**
 *功能：小小贝支付接口-异步通知验签处理
 *详细：此demo 代码 使用于 cp 接受服务器异步通知数据验签处理
 *版本：2.0
 *修改日期：2016-12-15
 '说明：
 '以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己的需要，按照技术文档编写,并非一定要使用该代码。
 '该代码仅供学习和研究小小贝计费接口使用，只是提供一个参考。
 */
 
	require_once ("config.php");
	require_once ("base.php");
	/*
	 *异步通知验签处理函数
	 */	
	function notify() {
		 global $platpkey;
		$string  = file_get_contents('php://input');//接收post请求数据	
		if($string ==null){
			echo "请使用post方式提交数据";
		}else{
			if(!parseResp($string, $platpkey)) {
				//验签失败
				echo 'failed';
				file_put_contents('./faillog.log', 'failed/'.$string.'/'.date('Y-m-d H:i:s', time())."\r\n",FILE_APPEND);//失败输出日志
			}else{
				//验签成功
				echo 'SUCCESS';
				file_put_contents('./succlog.log', 'success/'.$string.'/'.date('Y-m-d H:i:s', time())."\r\n",FILE_APPEND);//成功输出推送信息
			}
		}
	}	 
	notify();
?>
